Subject: PC CU great idea

From: Tanja Dunn <[email-masked]>
Date: Fri, 09 Jul 1999 18:41:47 -0600

I caught wind that a PC Credit Union was coming together in the book I 
just read, Investing with your Values by Brill, Brill, and Feigenbaum.  
I'm curious as to what's happening.  I'm a Permaculture and credit 
union supporter, and it sounds like a great idea.  Let me know if you 
need people to say in writing that this sounds great, that we would 
seriously consider participating/joining, etc.

Good luck in all you're doing,

Tanja Dunn
143 Fishback Avenue
Ft. Collins, CO  80521

(970) 221-2213

<[email-masked],edu>   (Know I'm very slow reading e-mail)